## org.apache.lucene.analysis.payloads
Interface PayloadEncoder

All Known Implementing Classes:
  AbstractEncoder, FloatEncoder, IdentityEncoder, IntegerEncoder

    public interface PayloadEncoder

Mainly for use with the DelimitedPayloadTokenFilter, converts char buffers to `BytesRef`.

NOTE: This interface is subject to change

Method Summary
`BytesRef` `encode(char[] buffer)`
`BytesRef` `encode(char[] buffer, int offset, int length)` Convert a char array to a `BytesRef`

Method Detail

### encode

    BytesRef encode(char[] buffer)

### encode

    BytesRef encode(char[] buffer,
                    int offset,
                    int length)

  Convert a char array to a `BytesRef`

  Returns:
    encoded `BytesRef`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.